--AH:ScriptId=31e10beb-4c9b-4645-bf5c-a52629703f41;3186
CREATE TABLE [AssetItems]
(
	[AssetItem_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NOT NULL,
	[Parent_AssetItem_Id] INT NULL,
	[AssetItem_Name] NVARCHAR(200) COLLATE Latin1_General_CS_AS NOT NULL,
	[AssetItem_Size] BIGINT NULL,
	[ContentType_Text] VARCHAR(200) NULL,
	[SHA1Hash_Bytes] BINARY(20) NULL,
	[Download_Count] INT NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,
	[Modified_Date] DATETIME NULL,
	[Created_Date] DATETIME NOT NULL,
	[Directory_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__AssetItems]
		PRIMARY KEY ([AssetItem_Id]),

	CONSTRAINT [FK__AssetItems__AssetItems]
		FOREIGN KEY ([Parent_AssetItem_Id])
		REFERENCES [AssetItems] ([AssetItem_Id]),

	CONSTRAINT [FK__AssetItems__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [UQ__AssetItems]
		UNIQUE ([Feed_Id], [Parent_AssetItem_Id], [AssetItem_Name]),

	CONSTRAINT [CK__AssetItems__AssetItem_Name]
		CHECK ([AssetItem_Name] <> ''),

	CONSTRAINT [CK__AssetItems__LegalPathChars]
		CHECK (CHARINDEX('/', [AssetItem_Name]) = 0 AND CHARINDEX('\', [AssetItem_Name]) = 0)
)

ALTER TABLE [Feeds]
	DROP CONSTRAINT [CK__Feeds__FeedType_Name]

GO

ALTER TABLE [Feeds]
	ADD CONSTRAINT [CK__Feeds__FeedType_Name]
		CHECK ([FeedType_Name] IN ('PowerShell', 'NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet', 'Docker', 'RubyGems', 'VSIX', 'Asset'))

ALTER TABLE [Connectors]
	DROP CONSTRAINT [CK__Connectors__FeedType_Name]
GO

ALTER TABLE [Connectors]
	ADD CONSTRAINT [CK__Connectors__FeedType_Name]
		CHECK ([FeedType_Name] IN ('PowerShell', 'NuGet', 'Chocolatey', 'Deployment', 'npm', 'Bower', 'Maven', 'ProGet', 'Docker', 'RubyGems', 'VSIX', 'Asset'))