EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetImageById',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DockerImages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker image with the specified internal ID.'
GO

IF OBJECT_ID('[DockerImages_GetImageById]') IS NOT NULL DROP PROCEDURE [DockerImages_GetImageById]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetImageById]
(
	@DockerImage_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerImages_Extended]
	 WHERE [DockerImage_Id] = @DockerImage_Id

END
GO

GRANT EXECUTE ON [DockerImages_GetImageById] TO [ProGetUser_Role]
GO