EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_GetRepositoryByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'DockerRepositories_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Docker repository that matches the specified criteria.'
GO

IF OBJECT_ID('[DockerImages_GetRepositoryByName]') IS NOT NULL DROP PROCEDURE [DockerImages_GetRepositoryByName]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_GetRepositoryByName]
(
	@Feed_Id INT,
	@Repository_Name VARCHAR(255)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerRepositories_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Repository_Name] = @Repository_Name

END
GO

GRANT EXECUTE ON [DockerImages_GetRepositoryByName] TO [ProGetUser_Role]
GO