EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageContainerScanners_UpdateScanInfo',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Records information about a package/container scan.'
GO

IF OBJECT_ID('[PackageContainerScanners_UpdateScanInfo]') IS NOT NULL DROP PROCEDURE [PackageContainerScanners_UpdateScanInfo]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [PackageContainerScanners_UpdateScanInfo]
(
	@PackageContainerScanner_Id INT,
	@LastScan_Date DATETIME,
	@LastScan_Status CHAR(1),
	@LastScan_Error_Text NVARCHAR(MAX)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [PackageContainerScanners]
	   SET [LastScan_Date] = @LastScan_Date,
	       [LastScan_Status] = @LastScan_Status,
		   [LastScan_Error_Text] = @LastScan_Error_Text
	 WHERE [PackageContainerScanner_Id] = @PackageContainerScanner_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [PackageContainerScanners_UpdateScanInfo] TO [ProGetUser_Role]
GO